VismaBouwsoftAPICalls.v1_GET_OrderMargins Method
v1_GET_OrderMargins() as String

This API call is used to get fields of a(n) OrderMargin(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /OrderMargins/
or
API Path: /OrderMargins/{id}
or
API Path: /OrderMargins/FieldInfo/

You can make this API call:
* without the key field id to get a list of OrderMargins
* with the key field id as the path parameter (the specific id of the OrderMargin you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
order_id 1 tpLong 0 Yes No No
margin_nr 1 tpLong 0 Yes Yes No
margin_name 2 tpString 100 No No No
margin_name_localized 2 tpString 100 No No No
description 2 tpString 250 No Yes No
amount 8 tpCurrency 0 No No No
percent 13 tpPercent 0 No Yes No
applyto_order 5 tpBool 0 No Yes No
applyto_chapter 1 tpLong 0 No Yes No
applyto_part 1 tpLong 0 No Yes No
applyto_group 2 tpString 100 No Yes No
application_localized 2 tpString 0 No No No

/OrderMargins/

API Path: /OrderMargins/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderMargins

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: trbfWxfkIOzSfGPDktzRqOVbftGVIOmOjDjtzmmDttjGfDlVGl
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/399”, “Records”: [
  {
    "id": 17,
    "order_id": 260,
    "margin_nr": 3,
    "margin_name": "EQUIPMENT",
    "margin_name_localized": "Equipment",
    "description": "",
    "amount": 0.0,
    "percent": 0,
    "applyto_order": false,
    "applyto_chapter": 0,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": ""
  },
  {
    "id": 44,
    "order_id": 264,
    "margin_nr": 1,
    "margin_name": "ARTICLES",
    "margin_name_localized": "Articles",
    "description": "",
    "amount": 0.3,
    "percent": 10,
    "applyto_order": false,
    "applyto_chapter": 1,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": "Chapter 1"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/OrderMargins

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: DjGfWxfGjfzSftfUPtzRqtAbflbkIOfmjGbtzGVfDlIGrDPbAb
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: order_id eq 264

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–5/6”, “Records”: [
  {
    "id": 44,
    "order_id": 264,
    "margin_nr": 1,
    "margin_name": "ARTICLES",
    "margin_name_localized": "Articles",
    "description": "",
    "amount": 0.3,
    "percent": 10,
    "applyto_order": false,
    "applyto_chapter": 1,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": "Chapter 1"
  },
  {
    "id": 45,
    "order_id": 264,
    "margin_nr": 1,
    "margin_name": "ARTICLES",
    "margin_name_localized": "Articles",
    "description": "",
    "amount": 0.0,
    "percent": 20,
    "applyto_order": false,
    "applyto_chapter": 2,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": "Chapter 2"
  }
,

]
}

/OrderMargins/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderMargins/17

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PPVfWxfmktzSfmkmAfzRqPtjfPjtGfrjfrlbzbVUjjUffrOjIV

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 17,
    "order_id": 260,
    "margin_nr": 3,
    "margin_name": "EQUIPMENT",
    "margin_name_localized": "Equipment",
    "description": "",
    "amount": 0.0,
    "percent": 0,
    "applyto_order": false,
    "applyto_chapter": 0,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": ""
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderMargins/1462

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: GIOfWxfAUAzSfIGUlfzRqfVrffmtGfPlfUfbzmIAAmtfOrPVGD

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1462,
    "order_id": 25,
    "margin_nr": 1,
    "margin_name": "ARTICLES",
    "margin_name_localized": "Articles",
    "description": "",
    "amount": 0.0,
    "percent": 0,
    "applyto_order": true,
    "applyto_chapter": 0,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": "All lines"
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderMargins/1462

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: llkfWxfUtbzSfGOfIfzRqkrOfIUrGfGDfOPbzbrOUVDfrPUDIU

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1462,
    "order_id": 25,
    "margin_nr": 1,
    "margin_name": "ARTICLES",
    "margin_name_localized": "Articles",
    "description": "",
    "amount": 45.600000000000001,
    "percent": 1,
    "applyto_order": true,
    "applyto_chapter": 0,
    "applyto_part": 0,
    "applyto_group": "",
    "application_localized": "All lines"
  }
]
}

/OrderMargins/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderMargins/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "order_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "margin_nr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]